Subject: Hot summer offer

From: " Sabalaibern" <[email-masked] >
Date: Thu, 5 Jul 2007 22:48:57 -0500

Replica timepiece – a good way to save large on a really posh thing!
Plus, you won’t have to spend much – our prices are truly laughable!
Pick up a perfect chronometer for you out of our huge stock now!
http://stflu.com